Bug 16574 - editorial - add note that UA need not send Origin header
Summary: editorial - add note that UA need not send Origin header
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.w3.org/TR/html5/urls.html#...
Depends on:
Reported: 2012-03-29 22:41 UTC by Glenn Adams
Modified: 2012-10-14 12:31 UTC (History)
5 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Adams 2012-03-29 22:41:58 UTC
At present, HTML5 does not mandate support for [ORIGIN] in a compliant UA, which means that a UA need not transmit an Origin header; however, due to the citation of Origin header in [1] step 5, readers may misunderstand the requirements in this regard;

To avoid misunderstanding, please add an informative note under the last paragraph of step 5 "For the purposes of the Origin header..." as follows (or an equivalent):

Note: A user agent is not required to support [ORIGIN], which means that sending a Origin header is not required by this specification.
Comment 1 contributor 2012-07-18 06:59:21 UTC
This bug was cloned to create bug 17836 as part of operation convergence.
Comment 2 Edward O'Connor 2012-10-02 23:23:51 UTC
Silvia, this has been fixed in WHATWG revision r7414.
Comment 3 Silvia Pfeiffer 2012-10-14 12:31:21 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
Rationale: accepted WHATWG change